MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032399Open CASCADE[OCCT] OCCT:Configurationpublic2021-05-27 18:132021-05-29 12:12
Reporterosa 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032399: Configuration - correct search of VTK bin path by genconf
DescriptionIf there are several VTK folders in 3rdparty genconf.bat should iterates through all available directories to find suitable bin path.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0024786closedabv Move functionality of WOK command wgenproj to OCCT tool genproj 

-  Notes
(0101432)
git (administrator)
2021-05-27 18:14

Branch CR32399 has been created by osa.

SHA-1: 11280a2078a41f0a5f36adfc419e2b5b452146e1


Detailed log of new commits:

Author: osa
Date: Thu May 27 18:15:36 2021 +0300

    0032399: Configuration - correct search of VTK bin path by genconf
(0101433)
osa (developer)
2021-05-27 18:15

The patch is ready for review
(0101475)
bugmaster (administrator)
2021-05-29 12:03

Combination -
OCCT branch : IR-2021-05-28
master SHA - 2315a044240803013da63dd2f5209c739ab03727
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-05-28 SHA - 2131ac830b9e3c707d427f2aac9c50dcfa5c74db
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17574.5700000004 / 17867.41000000037 [-1.64%]
Products
Total CPU difference: 11533.700000000124 / 11535.680000000108 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 19393.5625 / 19367.75 [+0.13%]
Products
Total CPU difference: 12891.8125 / 12920.9375 [-0.23%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 1e4f29c5
Timestamp: 2021-05-27 15:15:36
Author: osa
Committer: bugmaster
Details ] Diff ]
0032399: Configuration - correct search of VTK bin path by genconf
mod - adm/genconfdeps.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-05-27 18:13 osa New Issue
2021-05-27 18:13 osa Assigned To => kgv
2021-05-27 18:13 osa Assigned To kgv => osa
2021-05-27 18:13 osa Status new => assigned
2021-05-27 18:14 git Note Added: 0101432
2021-05-27 18:15 osa Note Added: 0101433
2021-05-27 18:15 osa Assigned To osa => bugmaster
2021-05-27 18:15 osa Status assigned => resolved
2021-05-27 18:15 osa Steps to Reproduce Updated View Revisions
2021-05-27 18:23 kgv Status resolved => reviewed
2021-05-27 18:23 kgv Product Version => 7.5.0
2021-05-27 18:24 kgv Relationship added child of 0024786
2021-05-27 18:24 kgv Product Version 7.5.0 => 7.0.0
2021-05-29 12:03 bugmaster Note Added: 0101475
2021-05-29 12:03 bugmaster Status reviewed => tested
2021-05-29 12:08 bugmaster Test case number => Not required
2021-05-29 12:12 bugmaster Changeset attached => occt master 1e4f29c5
2021-05-29 12:12 bugmaster Status tested => verified
2021-05-29 12:12 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker